Page Summary
-
This API endpoint retrieves a list of music releases via an HTTP GET request to
https://youtubepartner.googleapis.com/youtube/partner/v1/music/releases. -
You can use query parameters like
pageSize,pageToken,onBehalfOfContentOwner, andfilterto control the number of results, paginate through them, and filter them. -
The response body includes an array of music release objects (
releases) and anextPageTokenfor retrieving subsequent pages of results, if available. -
The
ReleaseFilterparameter allows for specific filtering of music releases by UPC, title, artist name, and whether there are open or closed change requests. -
Accessing this endpoint requires authorization with the
https://www.googleapis.com/auth/youtubepartnerOAuth scope.
Retrieves a list of music releases.
HTTP request
GET https://youtubepartner.googleapis.com/youtube/partner/v1/music/releases
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of releases to return. The service may return fewer than this value. If unspecified, at most 30 releases will be returned. The maximum value is 50; values above 50 will be coerced to 50. |
pageToken |
A page token, received from a previous When paginating, all other parameters provided to |
onBehalfOfContentOwner |
Identifies the content owner that the user is acting on behalf of. This parameter supports users whose accounts are associated with multiple content owners. |
filter |
Filtering based on various parameters in musicReleases.list. |
Request body
The request body must be empty.
Response body
A response to list music releases.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"releases": [
{
object ( |
| Fields | |
|---|---|
releases[] |
The requested music releases. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/youtubepartner
For more information, see the OAuth 2.0 Overview.
ReleaseFilter
Representation of an expression for filtering in musicReleases.list. We always take the conjunction (logical AND) of the filters, so a release must meet all criteria to be returned.
| JSON representation |
|---|
{ "upcs": [ string ], "titleMatches": string, "artistNameMatches": string, "hasOpenChangeRequest": boolean, "hasClosedChangeRequest": boolean } |
| Fields | |
|---|---|
upcs[] |
A list of case insensitive UPCs of the releases to be retrieved. |
titleMatches |
Tokenized search (case insensitive). |
artistNameMatches |
Tokenized search (case insensitive). |
hasOpenChangeRequest |
At least one ChangeRequest in open status. |
hasClosedChangeRequest |
At least one ChangeRequest in closed status. |